Summary: Graphical equivalent of find + grep
Name: searchmonkey
Version: 0.8.3
Release: 1%{?dist}
License: GPL
Group: Applications/File
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL: http://searchmonkey.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig, gettext, gtk2-devel, libzip-devel, poppler-glib-devel

# Patches
Patch0: format.diff
Patch1: fix-implicit-declaration-problems.patch

%description
searchmonkey is a powerful, but fast GTK+ text search utility that allows
files and content to be searched using regular expressions.  It aims
to be the graphical equivalent of find + grep, but with the simplicity
of the Beagle search engine.

%prep
%setup -q
%patch 0 -p1 -b .format
%patch 1 -p1 -b .fix-implicit-declaration-problems

%build
%configure
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -fr %{buildroot}

%files
%doc README INSTALL COPYING.LESSER
%{_bindir}/searchmonkey
%{_datadir}/icons/hicolor/16x16/apps/searchmonkey.png
%{_datadir}/icons/hicolor/22x22/apps/searchmonkey.png
%{_datadir}/icons/hicolor/24x24/apps/searchmonkey.png
%{_datadir}/icons/hicolor/32x32/apps/searchmonkey.png
%{_datadir}/icons/hicolor/48x48/apps/searchmonkey.png
%{_datadir}/pixmaps/searchmonkey/*.png
# Only required for GNOME
%{_datadir}/applications/searchmonkey.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Thu Apr 25 2024 endur <endur@thinkpad.localdomain> - 0.8.3-1
- Update to version 0.8.3, clean up
- libzip-devel, poppler-glib-devel added to BuildRequires
- format.diff added
- fix-implicit-declaration-problems.patch added
- First build for Fedora 40

* Tue Oct 24 2023 endur <endur@thinkpad.localdomain> - 0.8.1-28
- Rebuild for Fedora 39

* Wed May 03 2023 endur <endur@thinkpad.localdomain> - 0.8.1-27
- Rebuild for Fedora 38

* Fri Nov 18 2022 endur <endur@thinkpad.localdomain> - 0.8.1-26
- Rebuild for Fedora 37

* Mon May 16 2022 endur <endur@thinkpad.localdomain> - 0.8.1-25
- Rebuild for Fedora 36

* Tue Nov 30 2021 endur <endur@thinkpad.localdomain> - 0.8.1-24
- Rebuild for Fedora 35

* Wed Mar 31 2021 endur <endur@thinkpad.localdomain> - 0.8.1-23
- Rebuild for Fedora 34

* Wed Oct 28 2020 endur <endur@thinkpad.localdomain> - 0.8.1-22
- Rebuild for Fedora 33

* Tue Nov  5 2019 endur <endur@thinkpad.localdomain> - 0.8.1-21
- Rebuild for Fedora 32

* Tue Nov 05 2019 endur <endur@thinkpad.localdomain> - 0.8.1-20
- Rebuild for Fedora 31

* Tue Apr 30 2019 endur <endur@thinkpad.localdomain> - 0.8.1-19
- Rebuild for Fedora 30

* Fri Nov  2 2018 endur <endur@thinkpad.localdomain> - 0.8.1-18
- Rebuild for Fedora 29

* Thu May  3 2018 endur <endur@thinkpad.localdomain> - 0.8.1-17
- Rebuild for Fedora 28

* Wed Nov  8 2017 endur <endur@thinkpad.localdomain> - 0.8.1-16
- Rebuild for Fedora 27

* Sun Jul  9 2017 Endur <matthias_haase@bennewitz.com> - 0.8.1-15
- Rebuild for Fedora 26

* Wed Nov 23 2016 endur <endur@thinkpad.localdomain> - 0.8.1-14
- Rebuild for Fedora 25

* Thu Jun 23 2016 endur <endur@thinkpad.localdomain> - 0.8.1-13
- Rebuild for Fedora 24

* Sat Oct 31 2015 endur <matthias_haase@bennewitz.com> - 0.8.1-12
- Rebuild for Fedora 23

* Fri May 29 2015 endur <matthias_haase@bennewitz.com> - 0.8.1-11
- Rebuild for Fedora 22

* Wed Dec 10 2014 endur <matthias_haase@bennewitz.com> - 0.8.1-10
- Rebuild for Fedora 21

* Wed Feb 12 2014 Matthias Haase <matthias_haase@bennewitz.com> - 0.8.1-9
- Local user-guide.html added

* Wed Feb 12 2014 Matthias Haase <matthias_haase@bennewitz.com> - 0.8.1-8
- More patches added - thanks to Peter Blackman peter@pblackman.plus.com

* Wed Feb 12 2014 Matthias Haase <matthias_haase@bennewitz.com> - 0.8.1-7
- Patch added to fix segfault for 64 bit

* Wed Feb 12 2014 Matthias Haase <matthias_haase@bennewitz.com> - 0.8.1-6
- Rebuild for Fedora 20

* Sun Nov 25 2007 Paulo Roma <roma@lcg.ufrj.br> - 0.8.1-5
- Updated to 0.8.1.
- Using find_lang.
- Added desktop icon.

* Thu Nov  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.1-4
- Update to 0.7.1.
